package facture.modele;

import java.util.HashMap;
import java.util.Iterator;

public class Facture implements Iterable<LigneFacture>{
	private long id= -1;
	private HashMap<Article,LigneFacture> articlesCommandes= new HashMap<Article,LigneFacture>();
	private Client client= null;
	
	
	/**
	 * @return the client
	 */
	public Client getClient() {
		return client;
	}
	/**
	 * @param client the client to set
	 */
	public void setClient(Client client) {
		this.client = client;
	}
	/**
	 * @return the id
	 */
	public long getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(long id) {
		this.id = id;
	}
	
	public Iterator<LigneFacture> iterator() {
		return articlesCommandes.values().iterator();
	}
	
	public int getQuantite(Article a) {
		return articlesCommandes.get(a).getQuantite();
	}
	
	public void ajouter(Article a, int quantite) {
		if (articlesCommandes.containsKey(a)) {
			articlesCommandes.get(a).addToQuantite(quantite);
		} else {
			articlesCommandes.put(a, new LigneFacture(this,a,quantite));		
		}
	}

	public void supprimer(Article a) {
		articlesCommandes.remove(a);
	}
	
}
